Public Member Functions | Public Attributes | List of all members
BeagleWksStructManagerInternal::State Struct Reference

Internal: the state of a BeagleWksStructManager. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::vector< int > | m_fileIdFontIdList
| a list to get the correspondance between fileId and fontId More...
MWAWEntry | m_header
| the header More...
MWAWEntry | m_footer
| the footer More...
std::map< int, BeagleWksStructManager::Frame > | m_idFrameMap
| the map id to frame More...

## Detailed Description

Internal: the state of a BeagleWksStructManager.

## Constructor & Destructor Documentation

## ◆ State()

BeagleWksStructManagerInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_fileIdFontIdList

std::vector<int> BeagleWksStructManagerInternal::State::m_fileIdFontIdList

a list to get the correspondance between fileId and fontId

## ◆ m_footer

MWAWEntry BeagleWksStructManagerInternal::State::m_footer

the footer

## ◆ m_header

MWAWEntry BeagleWksStructManagerInternal::State::m_header

the header

## ◆ m_idFrameMap

std::map<int, BeagleWksStructManager::Frame> BeagleWksStructManagerInternal::State::m_idFrameMap

the map id to frame

The documentation for this struct was generated from the following file:

- BeagleWksStructManager.cxx